### Name: det.jmp
### Title: det.jmp
### Aliases: det.jmp
### Keywords: methods

### ** Examples

library(polydect)
n=100
sigma=0.1
## X is the design points ##
X<-c(1:n)/n

## Y is the observed data ##
NS<-rnorm(n,0,sigma)
Y<-c(10-30*X[1:floor(n/3)],-360*(X[(floor(n/3)+1):floor(2*n/3)]-0.5)^2+11,
exp(7.5*(X[(floor(2*n/3)+1):(n)]-2/3))-1)+NS

## x is the set of positions that we are interested in estimation ##
x<-c(floor(0.1*n):ceiling(0.9*n))/n

## specify bandwidth ##
h1=0.16

## estimation ##
y1<-numeric(length(x))
y1<-m.det1(h1,x,X,Y) ## one sided local kernel estimator ##
C=sqrt(sigma^2*4.49/n/h1)*qnorm(0.999995)
plot(x,y1)
tot<-det.jmp(x,abs(y1),h1,C,n)[[1]]
pos<-det.jmp(x,abs(y1),h1,C,n)[[2]]



