### Name: m.det
### Title: m.det
### Aliases: m.det m.det0 m.det1 m.det2 m.det3
### Keywords: methods

### ** Examples

n=100
sigma=0.1
## X is the design points ##
X<-c(1:n)/n

## Y is the observed data ##
NS<-rnorm(n,0,sigma)
Y<-c(10-30*X[1:floor(n/3)],-360*(X[(floor(n/3)+1):floor(2*n/3)]-0.5)^2+11,
exp(7.5*(X[(floor(2*n/3)+1):(n)]-2/3))-1)+NS

## x is the set of positions that we are interested in estimation ##
x<-c(floor(0.1*n):ceiling(0.9*n))/n

## specify bandwidth ##
h0=0.04
h1=0.16
h2=0.15
h3=0.16

## estimation ##
y0<-numeric(length(x))
y1<-numeric(length(x))
y2<-numeric(length(x))
y3<-numeric(length(x))

y0<-m.det0(h0,x,X,Y) ## one sided local kernel estimator ##
y1<-m.det1(h1,x,X,Y) ## one sided local linear kernel estimator ##
y2<-m.det2(h2,x,X,Y) ## one sided local quadratic kernel estimator ##
y3<-m.det3(h3,x,X,Y) ## one sided local cubic kernel estimator ##

## visualize the result ##
plot(x,y0)
plot(x,y1)
plot(x,y2)
plot(x,y3)



