###################################################
### chunk number 1: loaddata
###################################################
library(polydect)
data(DJIA)
head(DJIA)
attach(DJIA)


###################################################
### chunk number 2: 2
###################################################
ts.plot(Open,type="l")


###################################################
### chunk number 3: pre
###################################################
n<-length(Open)
## X is the design points ##
X<-c(1:n)/n
## Y is the observed data ##
Y<-Open
## x is the set of positions that we are interested in estimation ##
x<-X[floor(0.1*n):ceiling(0.9*n)]


###################################################
### chunk number 4: varest
###################################################
## specify bandwidth ##
h2=0.15
## estimation ##
variance<-sig.est(x,X,Y,h2)
sigma<-sqrt(variance)
sigma


###################################################
### chunk number 5: dec
###################################################
C=sqrt(2*sigma^2*4.44178/n/h2)*qnorm(0.999999995)
C
y2<-numeric(length(x))
y2<-m.det2(h2,x,X,Y) ## one sided local quadratic kernel estimator ##


###################################################
### chunk number 6: 1
###################################################
plot(x,y2)
abline(C,0)


###################################################
### chunk number 7: f1
###################################################
plot(x,y2)
abline(C,0)


###################################################
### chunk number 8: modification
###################################################
tot<-det.jmp(x,abs(y2),h2,C,n)[[1]]
pos<-det.jmp(x,abs(y2),h2,C,n)[[2]]
tot
pos


###################################################
### chunk number 9: bootstrap
###################################################
h=0.15
h2=0.20

B=100

## Since the curvature of the data is kind of large, we use quadratic detector
order=2
bds(h,B,h2,X,Y,x,order)


###################################################
### chunk number 10: polydect
###################################################
h=0.15
polydect(h,X,Y,x,2)


